Bug 177028 - [PATCH] remove audio/icecast
Summary: [PATCH] remove audio/icecast
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-16 20:10 UTC by Chris Petrik
Modified: 2013-03-17 22:10 UTC (History)
0 users

See Also:


Attachments
file.diff (13.78 KB, patch)
2013-03-16 20:10 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2013-03-16 20:10:00 UTC
I propose to remove icecast in favor of icecast2 due to that fact no new releases have been made to icecast 1.3 since 2004 i believe.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-16 20:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

bdrewery@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-03-17 21:46:57 UTC
State Changed
From-To: open->feedback

Typically we like to give a month notice before deleting a port. Please 
see http://people.freebsd.org/~bdrewery/icecast-deprecated.txt
Comment 3 Bryan Drewery freebsd_committer 2013-03-17 22:06:20 UTC
State Changed
From-To: feedback->closed

Done.
Comment 4 dfilter service freebsd_committer 2013-03-17 22:06:24 UTC
Author: bdrewery
Date: Sun Mar 17 22:06:17 2013
New Revision: 314499
URL: http://svnweb.freebsd.org/changeset/ports/314499

Log:
  - Deprecate. This has been unmaintained upstream since 2004.
    Use audio/icecast2 instead.
  
  PR:		ports/177028
  Approved by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer, via IRC)

Modified:
  head/audio/icecast/Makefile

Modified: head/audio/icecast/Makefile
==============================================================================
--- head/audio/icecast/Makefile	Sun Mar 17 22:04:00 2013	(r314498)
+++ head/audio/icecast/Makefile	Sun Mar 17 22:06:17 2013	(r314499)
@@ -12,6 +12,9 @@ COMMENT=	Streaming mp3 audio server
 
 LICENSE=	GPLv2 # (or later)
 
+EXPIRATION_DATE=	2013-04-17
+DEPRECATED=		Unmaintained upstream since 2004. Use audio/icecast2 instead
+
 OPTIONS_DEFINE=	DOCS
 
 USE_READLINE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"